package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作菜单
 */
@AllArgsConstructor
@Getter
public enum EOperationModule {

    UNKNOWN(""),

    //////////////////// 首页 ////////////////////

    HOME_PAGE("首页"),

    //////////////////// 信息管理 ////////////////////

    MEMBER_INFORMATION("会员信息"),

    RETAIL_MEMBER_INFORMATION("新零售会员信息"),

    TEAM_INFORMATION("团队信息"),

    REAL_INFORMATION("真实信息"),

    HANDLE_BUSINESS("办理业务"),

    SPECIAL_BUSINESS("特殊业务"),

    EMPTY_ORDER("空单注册"),

    CANCEL_ORDER_LIST("撤单列表"),

    OPERATION_LOG("操作记录"),

    CU_STORE("店铺信息"),

    BUSINESS_LICENSE("营业执照"),

    //////////////////// 架构管理 ////////////////////

    RESETTLE_FRAMEWORK("安置架构"),

    RECOMMEND_FRAMEWORK("推荐架构"),

    //////////////////// 结算中心 ////////////////////

    BONUS_SETTLE("奖金计算"),

    ACHIEVEMENT_TOTAL("业绩汇总"),

    BONUS_DIAL_RATIO("奖金拨比"),

    BONUS_SOURCE("奖金来源"),

    BONUS_TOTAL("奖金汇总"),

    RESETTLE_DATA("安置数据"),

    RECOMMEND_DATA("推荐数据"),

    //////////////////// 商品管理 ////////////////////

    PRODUCT_RELEASE("产品发布"),

    PRODUCT_LIST("产品列表"),

    WARES_RELEASE("商品发布"),

    WARES_LIST("商品列表"),

    AREA_CLASSIFY("商品分类"),

    SPECIFICATIONS_CONFIG("规格配置"),

    POSTAGE_CONFIG("邮费配置"),


    //////////////////// 物流管理 ////////////////////

    PRODUCT_ORDER("商品订单"),

    DELIVER_ORDER("发货清单"),

    ORDER_INVOICING("订单开票"),

    SELF_ORDER("自提清单"),

    //////////////////// 通知中心 ////////////////////

    NOTICE_LIST("公告列表"),

    PLATFORM_MESSAGE("站内信"),

    //////////////////// 公告管理 ////////////////////

    NOTICE_DETAIL("公告详情"),

    MESSAGE_MANAGE("站内信"),

    NOTICE_MANAGE("后台公告"),

    NOTICE_RELEASE("发布公告"),

    MESSAGE_CONFIG("站内信配置"),

    NOTICE_CONFIG("公告配置"),


    //////////////////// 财务管理 ////////////////////

    RECHARGE("充值"),

    RECHARGE_DETAIL("充值明细"),

    WITHDRAWAL_DETAIL("提现明细"),

    CONSUMPTION_DETAIL("消费明细"),

    FREEZE_DETAIL("冻结明细"),

    TRANSFER_DETAIL("转账明细"),

    WALLET_DETAIL("钱包明细"),

    ONLINE_PAY_DETAIL("在线支付明细"),

    MEMBER_BALANCE_SUMMARY("余额汇总"),

    //////////////////// 配置管理 ////////////////////

    CURRENCY_CONFIG("币种配置"),

    CUSTOMER_CONFIG("客商配置"),

    WALLET_CONFIG("钱包配置"),

    TRADE_CONFIG("交易配置"),

    LEVEL_CONFIG("级别配置"),

    PAY_CONFIG("支付配置"),

    BONUS_CONFIG("奖金配置"),

    AFFILIATION_TEAM("隶属团队"),

    VERTEX_CONFIG("体系配置"),

    SMS_CONFIG("短信配置"),

    SPECIAL_CONFIG("特殊配置"),

    AGREEMENT_CONFIG("协议配置"),

    LABEL_CONFIG("标签配置"),

    SIGN_CONFIG("签呈配置"),

    BANK_CONFIG("银行配置"),

    BUSINESS_SERVICE_CHARGE("业务办理手续费"),

    STORE_CONFIG("店铺配置"),

    BARCODE_CONFIG("追溯配置"),

    REGISTER_CONFIG("注册页面配置"),

    BANNER_CONFIG("广告Banner"),
    BDPURPOSE_CONFIG("领用用途配置"),
    AUTHORITY_CONTROL("会员控制配置"),

    CU_MEMBER_RETAIL_REGION("会员收益区域配置"),
    NOT_USED_REGION_AREA("未使用收益区域"),

    //////////////////// 营销管理 ////////////////////

    PRODUCT_GIVE("商品赠送"),

    CONSUME_GIVE("消费赠送"),

    SPECIAL_PRODUCT_ACTIVITY("特殊商品活动"),

    TARGET_ACHIEVEMENT("目标业绩"),

    RECHARGE_PICK("充值提货卡"),

    DRAW("抽奖"),

    DRAW_RECORD("中奖记录"),

    DRAW_DETAIL("抽奖明细"),

    RECOMMEND_GIVE("直推赠送"),
    TICKET_GIVE("门票活动"),
    RETAIL_PICK_PRODUCT("会员提货产品"),
    RETAIL_PICK_PRODUCT_GIVE("提货赠送活动"),
    //////////////////// 设备配置 ////////////////////
    DEVICE_INSTALL("设备配置"),
    //////////////////// 系统配置 ////////////////////

    SYSTEM_CONFIG("系统参数"),

    TRANSLATE_CONFIG("统一翻译"),

    COUNTRY_CONFIG("国家配置"),

    EXCHANGE_CONFIG("汇率配置"),

    AREA_CONFIG("行政区划"),

    INTERCONTINENTAL_CONFIG("洲际配置"),

    ADMIN_CONFIG("系统管理员"),

    AUTHORITY_CONFIG("权限配置"),

    ROLE_CONFIG("角色配置"),

    DEPT_CONFIG("部门配置"),

    MENU_CONFIG("菜单管理"),

    STOREHOUSE("仓库配置"),
    PRODUCT_STOREHOUSE("产品绑定仓库配置"),

    CORP_CONFIG("公司"),

    WHITE_LIST("白名单"),

    //////////////////// 公用 ////////////////////

    COMMON_FILE("文件操作"),


    //////////////////// 自助服务 ////////////////////

    SELF_SERVICE("自助服务"),
    DOMICILE_CHANGE("户籍变更"),
    MODIFY_ADDRESS("修改地址"),


    //////////////////// 以下后续会删除 ////////////////////

    SYSTEM_CONFIG_LIST("系统参数展示"),

    COUNTRY_LIST("国家后台列表展示"),

    COUNTRY_SAVE("国家后台新增"),

    COUNTRY_UPDATE("国家后台修改"),

    COUNTRY_DELETE("国家后台删除"),

    COUNTRY_UPDATE_ENABLE("更新国家状态"),

    CURRENCY_LIST("币种列表"),

    CURRENCY_SAVE("币种新增"),

    CURRENCY_UPDATE("币种修改"),

    CURRENCY_REMOVE("币种删除"),

    CURRENCY_UPDATE_ENABLE("更新币种状态"),

    AREA_CLASSIFY_LIST("商品分类列表"),

    AREA_CLASSIFY_SAVE("商品分类新增"),

    AREA_CLASSIFY_UPDATE("商品分类修改"),

    AREA_CLASSIFY_DELETE("商品分类删除"),

    AREA_CLASSIFY_UPDATE_ENABLE("修改分类状态"),

    CLASSIFY_LIST("规格分类列表"),

    CLASSIFY_SAVE("规格分类新增"),

    CLASSIFY_UPDATE("规格分类修改"),

    CLASSIFY_DELETE("规格分类删除"),

    CLASSIFY_UPDATE_ENABLE("规格分类更改状态"),

    REGISTRATION_INFORMATION("注册信息"),


    CONTINENT("洲际配置表"),


    AGENT("区代设置"),

    AGREEMENT("协议配置表"),

    AGREEMENT_DETAIL("协议配置明细表"),


    AREA_CURRENCY_DETAIL("消费详情配置表"),

    SPECIAL_CURRENCY_DETAIL("特殊消费配置表"),


    AWARDS_DETAIL("奖衔配置明细"),

    BD_BAR_CODE("条形码配置"),

    BD_RETAIL_RANGE("等级极差配置"),

    BAR_CODE_ITEMS("条形码明细表"),

    BONUS_TYPE("会员奖金权限配置"),

    BD_BONUS_DIRECT_LOOP("直推配置"),


    BD_GRADE_SCOPE("等级范围"),

    SHARE("分红配置"),

    SHARE_DETAIL("分红配置明细"),

    DELIVERYCENTRE("配送中心配置"),

    BDSUBSIDY("补贴比例配置"),

    MEMBER_AUTHORITY("会员礼包收货地址"),

    POSTAGE_DELETE("商品邮费删除"),

    PRODUCT_SAVE("产品新增"),

    PRODUCT_UPDATE("产品修改"),

    PRODUCT_DELETE("产品删除"),

    POSTAGE_SAVE("商品邮费新增"),

    POSTAGE_UPDATE("商品邮费修改"),

    POSTAGE_LIST("商品邮费列表"),

    PRODUCT_UPDATE_ENABLE("更新产品状态"),


    LABEL_DELETE("商品标签删除"),

    SPECS_TYPE_DELETE("删除规格分类"),

    LABEL_LIST("商品标签列表"),

    LABEL_SAVE("商品标签新增"),

    SPECS_LIST("规格配置"),

    SPECS_FINDALL("查询所有规格"),

    SPECS_SAVE("新增规格列表"),

    SPECS_UPDATE("修改规格列表"),

    SPECS_DELETE("删除规格列表"),

    SPECS_UPDATE_ENABLE("更新产品状态"),

    SPECS_TYPE_LIST("查询规格分类"),

    SPECS_TYPE_SAVE("新增规格分类"),

    SPECS_TYPE_UPDATE("修改规格分类"),

    WARES_SAVE("新增商品列表"),

    WARES_UPDATE("编辑商品列表"),

    WARES_DELETE("删除商品列表"),

    MEMBER_ACCOUNT("账户信息"),

    MEMBER_TRADE("交易明细"),

    BD_BONUS_CLOUD("云代配置"),

    SPECS_VERTEX_LIST("体系配置列表"),

    CU_MEMBER_ASSESSMENT("会员考核"),

    CU_MEMBER_TEAM("隶属团队"),

    BONUS_DETAIL("奖金明细"),

    AC_RECOMMEEND_CONFIG("直推赠送"),

    AC_TOURISM_CONFIG("旅游活动"),

    AC_WARES_RULE_CONFIG("商品赠送"),

    CANCEL_ORDER_SUBMIT("撤销订单提交"),

    CANCEL_ORDER_CONFIRM("撤销订单确认"),
    ///////////////////////////统计分析////////////////////////////
    STATISTIC_ANALYSIS("统计分析"),

    ;

    /**
     * 显示标签
     */
    private final String label;

}
